Index: /trunk/docs/Changelog
===================================================================
--- /trunk/docs/Changelog	(revision 584)
+++ /trunk/docs/Changelog	(revision 1)
@@ -1550,5 +380,5 @@
 	  on solaris - noticed by Bob Bloom)
 	* sh_suidcheck: don't truncate quarantined file if nlink > 1 
-	* fix Install.sh (no --separate-output with --radiolist); patch by
+	* fix Install.sh (no --seperate-output with --radiolist); patch by
 	  Greg Kimberly
 
Index: /trunk/docs/README
===================================================================
--- /trunk/docs/README	(revision 584)
+++ /trunk/docs/README	(revision 1)
@@ -137,5 +137,5 @@
 
 	NOTE: client and server are __distict__ applications, and must be
-	built separately. By default, installation names and paths are
+	built seperately. By default, installation names and paths are
 	different. Do not blame us if you abuse './configure' options to 
 	cause name clashes, if you install both on the same host.
Index: /trunk/docs/README.UPGRADE
===================================================================
--- /trunk/docs/README.UPGRADE	(revision 584)
+++ /trunk/docs/README.UPGRADE	(revision 1)
@@ -1,94 +1,2 @@
-to 4.0.0 and higher: if you use "ReportCheckflags = yes" (off by default),
-  you need to change the database scheme:
-
-  -- mysql:
-	  ALTER TABLE samhain.log ADD COLUMN checkflags_old BIGINT UNSIGNED;
-	  ALTER TABLE samhain.log ADD COLUMN checkflags_new BIGINT UNSIGNED;
-
-  -- postgres:
-	  ALTER TABLE samhain.log ADD COLUMN checkflags_old NUMERIC(20); 
-	  ALTER TABLE samhain.log ADD COLUMN checkflags_new NUMERIC(20);
-
-  --oracle:
-	  ALTER TABLE samhain.log ADD checkflags_old NUMBER(20); 
-	  ALTER TABLE samhain.log ADD checkflags_new NUMBER(20); 
-
-to 2.8.0 and higher: samhain supports IPv6 now, which means that the
-  size of the 'ip' column in the database must be increased from
-  VARCHAR(16) to VARCHAR(46).
-
-  BE SURE TO MAKE A BACKUP BEFORE THIS!
-
-  -- mysql: alter table samhain.log modify ip VARCHAR(46);
-
-  -- postgresql: alter table samhain.log alter column ip type varchar(46);
-
-  -- oracle: alter table samhain.log modify ip VARCHAR2(46);
-
-  
-to 2.4.4 and higher: it is possible now to store the full content of
-  small files in the baseline database. To support this feature with
-  logging to an RDBMS, the DB schema for Oracle needs to be adjusted
-  by converting the link_old, link_new columns from VARCHAR2 to CLOB:
-
-  -- Oracle:
-      ALTER TABLE samhain.log ADD tmp_name CLOB;
-      UPDATE samhain.log SET tmp_name=link_old;
-      ALTER TABLE samhain.log DROP COLUMN link_old;
-      ALTER TABLE samhain.log RENAME COLUMN tmp_name to link_old;
-
-      ALTER TABLE samhain.log ADD tmp_name CLOB;
-      UPDATE samhain.log SET tmp_name=link_new;
-      ALTER TABLE samhain.log DROP COLUMN link_new;
-      ALTER TABLE samhain.log RENAME COLUMN tmp_name to link_new;
-
-  -- Samhain server (yule): if you are logging to the RDBMS via
-     the server (yule), as recommended, you need to also upgrade the 
-     server, because earlier versions had a too restrictive limit on 
-     the maximum length of an SQL query.
-
-    
-to 2.3.3 and higher: a bug has been fixed that resulted in an additional
-  slash at the beginning of the linked path of symlinks in the root
-  directory (symlinks in other directories were not affected)
-
-  -- this may cause spurious warnings about modified links, if you check
-     against a database created with an earlier version of samhain 
-
-from lower to 2.3.x: the database scheme has changed slightly. 
-  To upgrade, use the following SQL commands in the command-line
-  client of your database:
-
-  -- MySQL:
-	ALTER TABLE samhain.log ADD COLUMN acl_old BLOB;
-	ALTER TABLE samhain.log ADD COLUMN acl_new BLOB;
-
-  -- PostgreSQL:
-	ALTER TABLE samhain.log ADD COLUMN acl_old TEXT;
-	ALTER TABLE samhain.log ADD COLUMN acl_new TEXT;
-
-  -- Oracle:
-	ALTER TABLE samhain.log ADD acl_old VARCHAR2(4000);
-	ALTER TABLE samhain.log ADD acl_new VARCHAR2(4000);
-	DROP TRIGGER trigger_on_log;
- 
-
-
-since 2.2.0: server-to-server relay is possible
-
-  -- this implies that problems will arise if your server is misconfigured
-     to connect to itself (SetExportSeverity is explicitely set
-     to a threshold different from 'none', and the logserver is set to 
-     localhost). The server may deadlock in this case.
-
-
-
-since 2.1.0: update and daemon mode can be combined
-
-  -- this implies that '-t update' will start a daemon process if running as
-     daemon is the default specified in the config file. use '--foreground'
-     to avoid starting a daemon process
-
-
 
 from 1.7.x to 1.8.x: client/server encryption protocol has been enhanced
Index: /trunk/docs/README.sstrip
===================================================================
--- /trunk/docs/README.sstrip	(revision 1)
+++ /trunk/docs/README.sstrip	(revision 1)
@@ -0,0 +1,40 @@
+sstrip is a small utility that removes the contents at the end of an
+ELF file that are not part of the program's memory image.
+
+Most ELF executables are built with both a program header table and a
+section header table. However, only the former is required in order
+for the OS to load, link and execute a program. sstrip attempts to
+extract the ELF header, the program header table, and its contents,
+leaving everything else in the bit bucket. It can only remove parts of
+the file that occur at the end, after the parts to be saved. However,
+this almost always includes the section header table, and occasionally
+a few random sections that are not used when running a program.
+
+It should be noted that the GNU bfd library is (understandably)
+dependent on the section header table as an index to the file's
+contents. Thus, an executable file that has no section header table
+cannot be used with gdb, objdump, or any other program based upon the
+bfd library, at all. In fact, the program will not even recognize the
+file as a valid executable. (This limitation is noted in the source
+code comments for bfd, and is marked "FIXME", so this may change at
+some future date. However, I would imagine that it is a pretty
+low-priority item, as executables without a section header table are
+rare in the extreme.) This probably also explains why strip doesn't
+offer the option to do this.
+
+Shared library files may also have their section header table removed.
+Such a library will still function; however, it will no longer be
+possible for a compiler to link a new program against it.
+
+As an added bonus, sstrip also tries to removes trailing zero bytes
+from the end of the file. (This normally cannot be done with an
+executable that has a section header table.)
+
+sstrip is a very simplistic program. It depends upon the common
+practice of putting the parts of the file that contribute to the
+memory image at the front, and the remaining material at the end. This
+permits it to discard the latter material without affecting file
+offsets and memory addresses in what remains. However, the ELF
+standard permits files to be organized in almost any order. So
+although this procedure usually works in practice, it is not meant to
+be taken too seriously.
Index: /trunk/docs/TODO
===================================================================
--- /trunk/docs/TODO	(revision 1)
+++ /trunk/docs/TODO	(revision 1)
@@ -0,0 +1,6 @@
+
+Wishlist:
+
+ - yule -> yule relay
+ - partial checksum of growing logfiles
+ 
Index: /trunk/dsys/comBUILD
===================================================================
--- /trunk/dsys/comBUILD	(revision 584)
+++ /trunk/dsys/comBUILD	(revision 1)
@@ -4,22 +4,4 @@
 #
 #########################################################################
-#
-# Copyright Rainer Wichmann (2005)
-#
-# License Information:
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
 
 commandBUILD() {
@@ -70,5 +52,5 @@
     fi
 
-    tmpdir=`eval echo "${temp_dir}/sh_${src_version}_${arch}_${format}_$$"`
+    tmpdir=`eval echo "/tmp/sh_${src_version}_${arch}_${format}_$$"`
 
     #---------------------------------------------------------------------
Index: /trunk/dsys/comCHECKSRC
===================================================================
--- /trunk/dsys/comCHECKSRC	(revision 584)
+++ /trunk/dsys/comCHECKSRC	(revision 1)
@@ -4,22 +4,4 @@
 #
 #########################################################################
-#
-# Copyright Rainer Wichmann (2005)
-#
-# License Information:
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
 
 commandCHECKSRC() {
Index: /trunk/dsys/comCLEAN
===================================================================
--- /trunk/dsys/comCLEAN	(revision 584)
+++ /trunk/dsys/comCLEAN	(revision 1)
@@ -4,22 +4,4 @@
 #
 #########################################################################
-#
-# Copyright Rainer Wichmann (2005)
-#
-# License Information:
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
 
 commandCLEAN() {
Index: /trunk/dsys/comDOWNLOAD
===================================================================
--- /trunk/dsys/comDOWNLOAD	(revision 584)
+++ /trunk/dsys/comDOWNLOAD	(revision 1)
@@ -4,22 +4,4 @@
 #
 #########################################################################
-#
-# Copyright Rainer Wichmann (2005)
-#
-# License Information:
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
 
 commandDOWNLOAD() {
@@ -129,5 +111,5 @@
     if test -z "$command"
     then
-	printFATAL "No wget, curl, lynx, links, lwp-request, fetch, fget in your \$PATH, cannot download"
+	printFATAL "No wget, curl, lynx, links, lwp-request, fetch in your \$PATH, cannot download"
     fi
 
Index: /trunk/dsys/comINSTALL
===================================================================
--- /trunk/dsys/comINSTALL	(revision 584)
+++ /trunk/dsys/comINSTALL	(revision 1)
@@ -4,22 +4,4 @@
 #
 #########################################################################
-#
-# Copyright Rainer Wichmann (2005)
-#
-# License Information:
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
 
 commandINSTALL() {
@@ -169,5 +151,5 @@
     #---------------------------------------------------------------------
 
-    tmpdir=`eval echo "${temp_dir}/sh_${src_version}_${arch}_${format}_$$"`
+    tmpdir=`eval echo "/tmp/sh_${src_version}_${arch}_${format}_$$"`
 
     if test x"$simulate" = x0
@@ -255,12 +237,4 @@
 	    printINFO "ssh -x -l root ${host} /bin/sh -c '(cd ${tmpdir} && eval ${is_command} ${tmpdir}/samhain-${src_version}.${realformat} ${tmp_iname})'"
         fi
-    elif test "x$format" = "xsolaris-pkg"
-    then
-        if test x"$simulate" = x0
-        then
-            ssh -x -l "root" "${host}" /bin/sh -c \''(cd "'${tmpdir}'" && PATH="'/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:$PATH'" && export PATH && eval "'${is_command}'" "'samhain-${src_version}.${realformat} all'") >/dev/null '\'
-        else
-	    printINFO "ssh -x -l root ${host} /bin/sh -c '(cd ${tmpdir} && eval ${is_command} samhain-${src_version}.${realformat}) all'"
-        fi
     elif test "x$format" = "xtbz2"
     then
@@ -329,13 +303,6 @@
 	if test "x$mytest_file" = x; then
 	    rcfile_perm=640;
-	    xgid=`(cat /etc/group; ypcat group) 2>/dev/null |\
-              grep "^samhain:" | awk -F: '{ print $3; }'`
-	    if test "x$xgid" = x; then
-	      rcfile_owner=`ls -ld ${yule_data} | awk '{print $3 }'`
-	      rcfile_group=`ls -ld ${yule_data} | awk '{print $4 }'`
-	    else
-	      rcfile_owner=`ls -ld ${yule_data} | awk '{print $3 }'`
-	      rcfile_group=samhain
-	    fi
+	    rcfile_owner=`ls -ld ${yule_data} | awk '{print $3 }'`
+	    rcfile_group=`ls -ld ${yule_data} | awk '{print $4 }'`
 	else
 	    mytest_file=`basename $mytest_file`
@@ -373,24 +340,7 @@
     #---------------------------------------------------------------------
 
-    instlock="${yule_conf}.lockdir";
-    trap "rm -rf ${instlock}" 1 2 13 15
-
-    if test x"$simulate" = x0
-    then
-	#
-	# A lockfile will not work, because 'root' can write anyway.
-	# However, 'mkdir' an existing directory will fail even for root
-	#
-	until (umask 222; mkdir "${instlock}") 2>/dev/null   # test & set
-	do
-	   printINFO "Waiting for lock"
-	   sleep 1
-	done
-    fi
-
     Replace=`"${yule_exec}" -P "${is_passwd}" | sed s%HOSTNAME%${host}%g`
     if test "x$Replace" = x
     then
-	rm -rf "${instlock}"
 	printFATAL "Could not execute ${yule_exec} -P ${is_passwd}."
     fi
@@ -406,9 +356,5 @@
             then
 	        Seen=y
-		echo "$Replace" >>"$tmpF" 
-		if [ $? -ne 0 ]; then
-			rm -rf "${instlock}"
-			printFATAL "Cannot write new server configuration."
-		fi
+		echo "$Replace" >>"$tmpF" || printFATAL "Cannot write new server configuration."
 	    fi
         else
@@ -417,9 +363,5 @@
 		:
 	    else
-		echo "$line" >>"$tmpF"
-		if [ $? -ne 0 ]; then
-			rm -rf "${instlock}"
-			printFATAL "Cannot write new server configuration."
-		fi
+		echo "$line" >>"$tmpF" || printFATAL "Cannot write new server configuration."
             fi
         fi
@@ -438,27 +380,8 @@
     if test x"$simulate" = x0
     then
-        ageFILE "${yule_conf}"
-	if [ $? -ne 0 ]; then
-		rm -rf "${instlock}"
-		printFATAL "Could not backup ${yule_conf}"
-	fi
-
-        rm -f "${yule_conf}" && cp "$tmpF"  "${yule_conf}"
-	if [ $? -ne 0 ]; then
-		rm -rf "${instlock}"
-		printFATAL "Could not write new server config. Backup is ${yule_conf}.1"
-	fi
-
-        chown ${rcfile_owner}:${rcfile_group} "${yule_conf}"
-	if [ $? -ne 0 ]; then
-		rm -rf "${instlock}"
-		printFATAL "Could not chown ${rcfile_owner}:${rcfile_group} ${yule_conf}"
-	fi
-
-        chmod ${rcfile_perm} "${yule_conf}"
-	if [ $? -ne 0 ]; then
-		rm -rf "${instlock}"
-		printFATAL "Could not chmod ${rcfile_perm} ${yule_conf}"
-	fi
+        ageFILE "${yule_conf}" || printFATAL "Could not backup ${yule_conf}."
+        rm -f "${yule_conf}" && { cp "$tmpF"  "${yule_conf}" || printFATAL "Could not write new server config. Backup is ${yule_conf}.1"; }
+        chown ${rcfile_owner}:${rcfile_group} "${yule_conf}" || printFATAL "Could not chown ${rcfile_owner}:${rcfile_group} ${yule_conf}"
+        chmod ${rcfile_perm} "${yule_conf}" || printFATAL "Could not chmod ${rcfile_perm} ${yule_conf}"
     else
         printINFO "Backup and update ${yule_conf}"
@@ -500,5 +423,4 @@
 	sleep 5
 	#
-	rm -rf "${instlock}"
     else
         printINFO "Reloading server configuration."
@@ -506,5 +428,4 @@
 
     printLOG "Server configuration updated and reloaded."
-
 
     #---------------------------------------------------------------------
@@ -553,13 +474,6 @@
 	if test "x$mytest_file" = x; then
 	    rcfile_perm=640;
-	    xgid=`(cat /etc/group; ypcat group) 2>/dev/null |\
-              grep "^samhain:" | awk -F: '{ print $3; }'`
-	    if test "x$xgid" = x; then
-	      rcfile_owner=`ls -ld ${yule_data} | awk '{print $3 }'`
-	      rcfile_group=`ls -ld ${yule_data} | awk '{print $4 }'`
-	    else
-	      rcfile_owner=`ls -ld ${yule_data} | awk '{print $3 }'`
-	      rcfile_group=samhain
-	    fi
+	    rcfile_owner=`ls -ld ${yule_data} | awk '{print $3 }'`
+	    rcfile_group=`ls -ld ${yule_data} | awk '{print $4 }'`
 	else
 	    mytest_file=`basename $mytest_file`
Index: /trunk/dsys/comUNINSTALL
===================================================================
--- /trunk/dsys/comUNINSTALL	(revision 584)
+++ /trunk/dsys/comUNINSTALL	(revision 1)
@@ -4,22 +4,4 @@
 #
 #########################################################################
-#
-# Copyright Rainer Wichmann (2005)
-#
-# License Information:
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
 
 commandUNINSTALL() {
@@ -79,5 +61,5 @@
     #---------------------------------------------------------------------
 
-    tmpdir=`eval echo "${temp_dir}/sh_${src_version}_${arch}_${format}_$$"`
+    tmpdir=`eval echo "/tmp/sh_${src_version}_${arch}_${format}_$$"`
 
     if test x"$simulate" = x0
Index: /trunk/dsys/funcBUILD
===================================================================
--- /trunk/dsys/funcBUILD	(revision 584)
+++ /trunk/dsys/funcBUILD	(revision 1)
@@ -4,22 +4,4 @@
 #
 #########################################################################
-#
-# Copyright Rainer Wichmann (2005)
-#
-# License Information:
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
 
 #------------------------------------------------------------------------
Index: /trunk/dsys/funcDB
===================================================================
--- /trunk/dsys/funcDB	(revision 584)
+++ /trunk/dsys/funcDB	(revision 1)
@@ -4,22 +4,4 @@
 #
 #########################################################################
-#
-# Copyright Rainer Wichmann (2005)
-#
-# License Information:
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
 
 DBFTEST=0
Index: /trunk/dsys/funcDIALOG
===================================================================
--- /trunk/dsys/funcDIALOG	(revision 584)
+++ /trunk/dsys/funcDIALOG	(revision 1)
@@ -4,22 +4,4 @@
 #
 #########################################################################
-#
-# Copyright Rainer Wichmann (2005)
-#
-# License Information:
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
 
 # print without newline
Index: /trunk/dsys/funcEXE
===================================================================
--- /trunk/dsys/funcEXE	(revision 584)
+++ /trunk/dsys/funcEXE	(revision 1)
@@ -4,22 +4,4 @@
 #
 #########################################################################
-#
-# Copyright Rainer Wichmann (2005)
-#
-# License Information:
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
 
 findEXE() {
Index: /trunk/dsys/funcINSTALL
===================================================================
--- /trunk/dsys/funcINSTALL	(revision 584)
+++ /trunk/dsys/funcINSTALL	(revision 1)
@@ -4,22 +4,4 @@
 #
 #########################################################################
-#
-# Copyright Rainer Wichmann (2005)
-#
-# License Information:
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
 
 getconfopts () {
@@ -62,5 +44,4 @@
     echo "  <client>"
     echo "    <client_host>${host}</client_host>"
-    echo "    <client_group>${hostgroup}</client_group>"
     echo "    <client_os_machine>${arch}</client_os_machine>"
     echo "    <client_install_status>${install_entry}</client_install_status>"
@@ -110,18 +91,4 @@
         DATABASE="${basedir}/${defdatabase}"
     fi
-
-    updlock="${DATABASE}.lockdir"
-    trap "rm -rf ${updlock}" 1 2 13 15
-
-    #
-    # A lockfile will not work, because 'root' can write anyway.
-    # However, 'mkdir' an existing directory will fail even for root
-    #
-    until (umask 222; mkdir "${updlock}") 2>/dev/null   # test & set
-    do
-       printINFO "Waiting for lock"
-       sleep 1
-    done
-
 
     IDATE=`date +"%Y-%m-%d %H:%M:%S"`
@@ -173,10 +140,6 @@
 		if test "x$?" = "x1"
 		then
-		    #
-		    # Write the full entry when client_os_machine is found
-		    #
 		    case "$line" in
 		    *\<client_os_machine\>*\</client_os_machine\>)
-		    echo "    <client_group>${hostgroup}</client_group>"           >>"${tmpF}"
 		    echo "    <client_os_machine>${arch}</client_os_machine>"           >>"${tmpF}"
 		    echo "    <client_install_status>${install_entry}</client_install_status>"    >>"${tmpF}"
@@ -187,25 +150,26 @@
 		    ;;
 
-		    *\<client_group\>*\</client_group\>)
+		    *\<client_install_status\>*\</client_install_status\>)
+                    # echo "    <client_install_status>${install_entry}</client_install_status>"    >>"${tmpF}"
 		    :
 		    ;;
-			
-		    *\<client_install_status\>*\</client_install_status\>)
-		    :
-		    ;;
 
 		    *\<client_install_date\>*\</client_install_date\>)
+                    # echo "    <client_install_date>${IDATE}</client_install_date>"         >>"${tmpF}"
 		    :
 	            ;;
 
 		    *\<client_install_name\>*\</client_install_name\>)
+                    # echo "    <client_install_name>${SH_NAME}</client_install_name>"       >>"${tmpF}"
 		    :
 		    ;;
 
 		    *\<client_install_prefix\>*\</client_install_prefix\>)
+                    # echo "    <client_install_prefix>${SH_PREFIX}</client_install_prefix>" >>"${tmpF}"
 		    :
 		    ;;
 
 		    *\<client_install_version\>*\</client_install_version\>)
+                    # echo "    <client_install_version>${src_version}.${realformat}</client_install_version>" >>"${tmpF}"
 		    :
 		    ;;
@@ -251,5 +215,5 @@
      printINFO "Write ${DATABASE} from scratch"
      echo '<?xml version="1.0" encoding="ISO-8859-1"?>' >"${tmpF}"
-     echo '<!DOCTYPE yule_db SYSTEM "http://la-samhna.de/yule_db-0.2.dtd">' \
+     echo '<!DOCTYPE yule_db SYSTEM "http://la-samhna.de/yule_db-0.1.dtd">' \
 	  >>"${tmpF}"
      echo "<yule_db>"   >>"${tmpF}"
@@ -259,16 +223,7 @@
     fi
 
-    chown ${rcfile_owner}:${rcfile_group} "${DATABASE}"
-    if [ $? -ne 0 ]; then
-    	rm -rf "${updlock}"
-    	printFATAL "Could not chown ${rcfile_owner}:${rcfile_group} ${DATABASE}"
-    fi
-    chmod ${rcfile_perm} "${DATABASE}"
-    if [ $? -ne 0 ]; then
-    	rm -rf "${updlock}"
-    	printFATAL "Could not chmod ${rcfile_perm} ${DATABASE}"
-    fi
-
-    rm -rf "${updlock}"
+    chown ${rcfile_owner}:${rcfile_group} "${DATABASE}" || printFATAL "Could not chown ${rcfile_owner}:${rcfile_group} ${DATABASE}"
+    chmod ${rcfile_perm} "${DATABASE}" || printFATAL "Could not chmod ${rcfile_perm} ${DATABASE}"
+
 }
 
@@ -400,8 +355,4 @@
 	   command="$command other"
 	fi
-        if test $n -eq 0
-        then
-            printFATAL "No binary packages built yet !"
-        fi
 	    
 	eval ${command}
Index: /trunk/dsys/funcPRINT
===================================================================
--- /trunk/dsys/funcPRINT	(revision 584)
+++ /trunk/dsys/funcPRINT	(revision 1)
@@ -4,22 +4,4 @@
 #
 #########################################################################
-#
-# Copyright Rainer Wichmann (2005)
-#
-# License Information:
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
 
 # Fatal error
Index: /trunk/dsys/funcSETUP
===================================================================
--- /trunk/dsys/funcSETUP	(revision 584)
+++ /trunk/dsys/funcSETUP	(revision 1)
@@ -4,22 +4,4 @@
 #
 #########################################################################
-#
-# Copyright Rainer Wichmann (2005)
-#
-# License Information:
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
 
 # test setup
Index: /trunk/dsys/initscript
===================================================================
--- /trunk/dsys/initscript	(revision 584)
+++ /trunk/dsys/initscript	(revision 1)
@@ -1,22 +1,3 @@
 #! /bin/sh
-
-#
-# Copyright Rainer Wichmann (2005)
-#
-# License Information:
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
 
 startup=no
